---
search:
  tags:
    - Subscriptions
    - PUT
seo:
  description: >-
    Update a subscription fee. Reference for the PUT /subscription_fees/{id}
    endpoint in the Bolder API v2.
sidebar:
  label: Update a subscription fee
  badge: PUT
title: Update a subscription fee
type: openapi-operation
---
`PUT /subscription_fees/{id}`

**Request body** (`application/json`, required)

- `payment_interval` (string)
- `renewal_fee` (integer)
- `setup_fee` (integer)
- `number_of_payments` (integer)
- `payment_day` (integer)
- `update_purchases_fees` (boolean) — Also apply the new fee terms to existing active purchases
- `notify_purchases` (boolean)

Request body example:

```json
{
  "payment_interval": "1_week",
  "renewal_fee": 0,
  "setup_fee": 0,
  "number_of_payments": 0,
  "payment_day": 0,
  "update_purchases_fees": true,
  "notify_purchases": true
}
```

**Responses**

- `200` — Subscription fee updated
- `422` — Validation error

Response example, 200:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "seller_id": 0,
  "product_id": 0,
  "variant_id": 0,
  "payment_interval": "1_week",
  "renewal_fee": 0,
  "renewal_fee_price": 0,
  "setup_fee": 0,
  "number_of_payments": 0,
  "payment_day": 0,
  "by_percentage": true,
  "allow_non_recurring_payment": true,
  "min_days_for_cancellation": 0,
  "allow_changing_day": true,
  "extend_on_reenable": true,
  "on_first_renewal": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
